import request from "@/utils/request";

/**
 * @description: 消息模板
 */
export const sysMessageConfigPage = (params: object) => {
  return request({
    url: '/cbs-app/sysMessageConfig/page',
    method: 'post',
    data: params
  } as any)
}

/**
 * @description: 消息模板修改
 */
export const sysMessageConfigUpdate= (params: object) => {
  return request({
    url: '/cbs-app/sysMessageConfig/update',
    method: 'post',
    data: params
  } as any)
}

/**
 * @description: 消息模板新增
 */
export const sysMessageConfigSave = (params: object) => {
  return request({
    url: '/cbs-app/sysMessageConfig/save',
    method: 'post',
    data: params
  } as any)
}

/**
 * @description: 消息模板启用/停用
 */
export const sysMessageConfigStatus = (params: object) => {
  return request({
    url: '/cbs-app/sysMessageConfig/status',
    method: 'post',
    data: params
  } as any)
}

/**
 * @description: 短信配置分页
 */
export const smsConfigPage = (params: object) => {
  return request({
    url: '/cbs-app/smsConfig/page',
    method: 'post',
    data: params
  } as any)
}

/**
 * @description: 添加短信配置
 */
export const smsConfigSave = (params: object) => {
  return request({
    url: '/cbs-app/smsConfig/save',
    method: 'post',
    data: params
  } as any)
}

/**
 * @description: 修改短信配置
 */
export const smsConfigUpdate = (params: object) => {
  return request({
    url: '/cbs-app/smsConfig/update',
    method: 'post',
    data: params
  } as any)
}

/**
 * @description: 短信配置启用/停用
 */
export const smsConfigStatus = (params: object) => {
  return request({
    url: '/cbs-app/smsConfig/status',
    method: 'post',
    data: params
  } as any)
}

/**
 * @description: 短信配置删除
 */
export const smsConfigRemove = (id: object) => {
  return request({
    url: '/cbs-app/smsConfig/remove?id=' + id,
    method: 'post',
  } as any)
}

/**
 * @description: 短信配置详情
 */
export const smsConfigDetail = (id: object) => {
  return request({
    url: '/cbs-app/smsConfig/detail/' + id,
    method: 'get',
  } as any)
}

/**
 * @description: 短信应用配置表分页
 */
export const smsAppConfigPage = (params: object) => {
  return request({
    url: '/cbs-app/smsAppConfig/page',
    method: 'post',
    data: params
  } as any)
}

/**
 * @description: 添加短信应用配置
 */
export const smsAppConfigSave = (params: object) => {
  return request({
    url: '/cbs-app/smsAppConfig/save',
    method: 'post',
    data: params
  } as any)
}

/**
 * @description: 修改短信配置
 */
export const smsAppConfigUpdate = (params: object) => {
  return request({
    url: '/cbs-app/smsAppConfig/update',
    method: 'post',
    data: params
  } as any)
}

/**
 * @description: 短信应用配置表删除
 */
export const smsAppConfigRemove = (id: object) => {
  return request({
    url: '/cbs-app/smsAppConfig/remove?id=' + id,
    method: 'post',
  } as any)
}

/**
 * @description: 短信应用配置表修改状态
 */
export const smsAppConfigStatus = (params: object) => {
  return request({
    url: '/cbs-app/smsAppConfig/status',
    method: 'post',
    data: params
  } as any)
}

/**
 * @description: app推送配置表分页
 */
export const appSendConfigPage = (params: object) => {
  return request({
    url: '/cbs-app/appSendConfig/page',
    method: 'post',
    data: params
  } as any)
}

/**
 * @description: app推送配置表启用/停用
 */
export const appSendConfigStatus = (params: object) => {
  return request({
    url: '/cbs-app/appSendConfig/status',
    method: 'post',
    data: params
  } as any)
}

/**
 * @description: app推送配置表删除
 */
export const appSendConfigRemove = (id: object) => {
  return request({
    url: '/cbs-app/appSendConfig/remove?id=' + id,
    method: 'post',
  } as any)
}

/**
 * @description: 添加短信配置
 */
export const appSendConfigSave = (params: object) => {
  return request({
    url: '/cbs-app/appSendConfig/save',
    method: 'post',
    data: params
  } as any)
}

/**
 * @description: 修改短信配置
 */
export const appSendConfigUpdate = (params: object) => {
  return request({
    url: '/cbs-app/appSendConfig/update',
    method: 'post',
    data: params
  } as any)
}


/**
 * @description: 消息记录
 */
export const sysMessagePage = (params: object) => {
  return request({
    url: '/cbs-app/sysMessage/page',
    method: 'post',
    data: params
  } as any)
}

/**
 * @description: 微信配置信息分页
 */
export const wxConfigInfoPage = (params: object) => {
  return request({
    url: '/cbs-app/wxConfigInfo/page',
    method: 'post',
    data: params
  } as any)
}

/**
 * @description: 微信配置信息新增
 */
export const wxConfigInfoSave = (params: object) => {
  return request({
    url: '/cbs-app/wxConfigInfo/save',
    method: 'post',
    data: params
  } as any)
}

/**
 * @description: 微信配置信息修改
 */
export const wxConfigInfoUpdate = (params: object) => {
  return request({
    url: '/cbs-app/wxConfigInfo/update',
    method: 'post',
    data: params
  } as any)
}


/**
 * @description: 微信配置信息删除
 */
export const wxConfigInfoRemove = (id: object) => {
  return request({
    url: '/cbs-app/wxConfigInfo/remove?id=' + id,
    method: 'post',
  } as any)
}

/**
 * @description: 微信配置信息删除启用/停用
 */
export const wxConfigInfoStatus = (params: object) => {
  return request({
    url: '/cbs-app/wxConfigInfo/status',
    method: 'post',
    data: params
  } as any)
}

/**
 * @description: 微信配置信息详情
 */
export const wxConfigInfoDetail = (id: object) => {
  return request({
    url: '/cbs-app/wxConfigInfo/detail/' + id,
    method: 'get',
  } as any)
}

/**
 * @description: 微信模板配置新增
 */
export const wxTemplateConfigSave = (params: object) => {
  return request({
    url: '/cbs-app/wxTemplateConfig/save',
    method: 'post',
    data: params
  } as any)
}
/**
 * @description: 微信模板配置修改
 */
export const wxTemplateConfigUpdate = (params: object) => {
  return request({
    url: '/cbs-app/wxTemplateConfig/update',
    method: 'post',
    data: params
  } as any)
}

/**
 * @description: 微信模板配置分页
 */
export const wxTemplateConfigPage = (params: object) => {
  return request({
    url: '/cbs-app/wxTemplateConfig/page',
    method: 'post',
    data: params
  } as any)
}


/**
 * @description: 微信模板配置启用/停用
 */
export const wxTemplateConfigStatus = (params: object) => {
  return request({
    url: '/cbs-app/wxTemplateConfig/status',
    method: 'post',
    data: params
  } as any)
}

/**
 * @description: 微信模板配置删除
 */
export const wxTemplateConfigRemove = (id: object) => {
  return request({
    url: '/cbs-app/wxTemplateConfig/remove?id=' + id,
    method: 'post',
  } as any)
}

/**
 * @description: 微信模板配置详情
 */
export const wxTemplateConfigDetail = (id: object) => {
  return request({
    url: '/cbs-app/wxTemplateConfig/detail/' + id,
    method: 'get',
  } as any)
}

/**
 * @description: 微信模板消息内容分页
 */
export const wxTemplateMessagePage = (params: object) => {
  return request({
    url: '/cbs-app/wxTemplateMessage/page',
    method: 'post',
    data: params
  } as any)
}

/**
 * @description: 微信模板消息内容详情
 */
export const wxTemplateMessageDetail = (id: object) => {
  return request({
    url: '/cbs-app/wxTemplateMessage/detail/' + id,
    method: 'get',
  } as any)
}

/**
 * @description: 邮件配置表分页
 */
export const emailConfigPage = (params: object) => {
  return request({
    url: '/cbs-app/emailConfig/page',
    method: 'post',
    data: params
  } as any)
}

/**
 * @description: 邮件配置表删除
 */
export const emailConfigRemove = (id: object) => {
  return request({
    url: '/cbs-app/emailConfig/remove?id=' + id,
    method: 'post',
  } as any)
}

/**
 * @description: 邮件配置表启用/停用
 */
export const emailConfigStatus = (params: object) => {
  return request({
    url: '/cbs-app/emailConfig/status',
    method: 'post',
    data: params
  } as any)
}

/**
 * @description: 邮件配置表新增
 */
export const emailConfigSave = (params: object) => {
  return request({
    url: '/cbs-app/emailConfig/save',
    method: 'post',
    data: params
  } as any)
}

/**
 * @description: 邮件配置表修改
 */
export const emailConfigUpdate = (params: object) => {
  return request({
    url: '/cbs-app/emailConfig/update',
    method: 'post',
    data: params
  } as any)
}
